Imagick::resetImagePage
Imagick::rollImage
Imagick
PHP Manual

# Imagick::resizeImage

Scales an image

### Description

bool Imagick::resizeImage ( int `$columns` , int `$rows` , int `$filter` , float `$blur` [, bool `$bestfit` = false ] )

Scales an image to the desired dimensions with a filter.

> Note: The behavior of the parameter `bestfit` changed in Imagick 3.0.0. Before this version given dimensions 400x400 an image of dimensions 200x150 would be left untouched. In Imagick 3.0.0 and later the image would be scaled up to size 400x300 as this is the "best fit" for the given dimensions. If `bestfit` parameter is used both width and height must be given.

### Parameters

`columns`

  Width of the image

`rows`

  Height of the image

`filter`

  Refer to the list of filter constants.

`blur`

  The blur factor where > 1 is blurry, < 1 is sharp.

`bestfit`

  Optional fit parameter.

### Return Values

Returns `TRUE` on success.

### Changelog

Version | Description
--- | ---
2.1.0 | Added optional fit parameter. This method now supports proportional scaling. Pass zero as either parameter for proportional scaling.